# IpeLinear Class Reference
[Ipe Geometry]

Linear transformation in the plane (2x2 matrix). More...

List of all members.

## Public Member Functions

- IpeLinear ()
- IpeLinear (IpeAngle angle)
- IpeLinear (double m11, double m21, double m12, double m22)
- IpeLinear (IpeString str)
- IpeLinear Inverse () const
- bool IsIdentity () const
- IpeVector operator * (const IpeVector &rhs) const
- bool operator== (const IpeLinear &rhs) const

## Public Attributes

- double iA [4]

## Detailed Description

Linear transformation in the plane (2x2 matrix).

## Constructor & Destructor Documentation

IpeLinear::IpeLinear | ( |  | ) | `[inline]`

Create identity matrix.

IpeLinear::IpeLinear | ( | IpeAngle | angle | ) | `[explicit]`

Create matrix representing a rotation by angle.

IpeLinear::IpeLinear | ( | double | m11,
|  | double | m21,
|  | double | m12,
|  | double | m22 |
| ) |  |  | `[inline, explicit]`

Create linear matrix with given coefficients.

IpeLinear::IpeLinear | ( | IpeString | str | ) | `[explicit]`

Parse string.

## Member Function Documentation

IpeLinear IpeLinear::Inverse | ( |  | ) | const

Return inverse.

bool IpeLinear::IsIdentity | ( |  | ) | const`[inline]`

Is this the identity matrix?

IpeVector IpeLinear::operator * | ( | const IpeVector & | rhs | ) | const`[inline]`

Linear matrix times vector.

bool IpeLinear::operator== | ( | const IpeLinear & | rhs | ) | const`[inline]`

Check for equality of two linear matrices.

The documentation for this class was generated from the following files:

- ipegeo.h
- ipegeo.cpp